"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const chai_1 = require("chai");
const version_dropdown_composition_1 = require("./version-dropdown.composition");
describe('version dropdown tests', () => {
    /**
     *  https://github.com/jsdom/jsdom/issues/1695
     *  scrollIntoView is not implemented in jsdom
     * */
    beforeEach(() => {
        Element.prototype.scrollIntoView = jest.fn();
    });
    it('should render one version', () => {
        const { getByText } = (0, react_2.render)(react_1.default.createElement(version_dropdown_composition_1.VersionDropdownWithOneVersion, null));
        const textVersion = getByText(/^0.1$/);
        (0, chai_1.expect)(textVersion).to.exist;
    });
    it('should not return multiple versions when mounted (lazy loading)', () => {
        (0, react_2.render)(react_1.default.createElement(version_dropdown_composition_1.VersionDropdownWithMultipleVersions, null));
        const textVersionOne = react_2.screen.queryByText(/^0.1$/);
        const textVersionTwo = react_2.screen.queryByText(/^0.2$/);
        const textVersionThree = react_2.screen.getAllByText(/^0.3$/);
        (0, chai_1.expect)(textVersionOne).to.be.null;
        (0, chai_1.expect)(textVersionTwo).to.be.null;
        (0, chai_1.expect)(textVersionThree).to.have.lengthOf.at.least(1);
    });
});
//# sourceMappingURL=version-dropdown.spec.js.map